org.jgroups.protocols.pbcast

## Class STABLE.StableHeader

- java.lang.Object
- - org.jgroups.Header
  - - org.jgroups.protocols.pbcast.STABLE.StableHeader

All Implemented Interfaces:
  Streamable

Enclosing class:
  STABLE

    public static class STABLE.StableHeader
    extends Header

### Field Summary

Fields
`static int` `STABILITY`
`static int` `STABLE_GOSSIP`

### Constructor Summary

Constructors
Constructor and Description
`STABLE.StableHeader()`
`STABLE.StableHeader(int type, Digest digest)`

### Method Summary

Methods
`void` `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
`int` `size()` To be implemented by subclasses.
`java.lang.String` `toString()`
`void` `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### STABLE_GOSSIP

    public static final int STABLE_GOSSIP

See Also:
  Constant Field Values

#### STABILITY

    public static final int STABILITY

See Also:
  Constant Field Values

### Constructor Detail

#### STABLE.StableHeader

    public STABLE.StableHeader()

#### STABLE.StableHeader

    public STABLE.StableHeader(int type,
                       Digest digest)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `Header`

#### size

    public int size()

Description copied from class: `Header`
To be implemented by subclasses. Return the size of this object for the serialized version of it. I.e. how many bytes this object takes when flattened into a buffer. This may be different for each instance, or can be the same. This may also just be an estimation. E.g. FRAG uses it on Message to determine whether or not to fragment the message. Fragmentation itself will be accurate, because the entire message will actually be serialized into a byte buffer, so we can determine the exact size.

Specified by:
  `size` in class `Header`

#### writeTo

    public void writeTo(java.io.DataOutputStream out)
                 throws java.io.IOException

Description copied from interface: `Streamable`
Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed

Throws:
  `java.io.IOException`

#### readFrom

    public void readFrom(java.io.DataInputStream in)
                  throws java.io.IOException,
                         java.lang.IllegalAccessException,
                         java.lang.InstantiationException

Description copied from interface: `Streamable`
Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed

Throws:
  `java.io.IOException`
  `java.lang.IllegalAccessException`
  `java.lang.InstantiationException`